Mercury API
msgAddGEN2DataRead Method (msg, timeout, bank, wordAddress, length, secureTagType)
Namespaces ► ThingMagic ► SerialReader ► msgAddGEN2DataRead(List<(Of <(Byte>)>)%, UInt16, Gen2..::.Bank, UInt32, Byte, Gen2..::.SecureTagType)
Assemble the embedded command for DataRead
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public byte msgAddGEN2DataRead(
    	ref List<byte> msg,
    	ushort timeout,
    	Gen2..::.Bank bank,
    	uint wordAddress,
    	byte length,
    	Gen2..::.SecureTagType secureTagType
    )

    <ObsoleteAttribute> _
    Public Function msgAddGEN2DataRead ( _
    	ByRef msg As List(Of Byte), _
    	timeout As UShort, _
    	bank As Gen2..::.Bank, _
    	wordAddress As UInteger, _
    	length As Byte, _
    	secureTagType As Gen2..::.SecureTagType _
    ) As Byte

    [ObsoleteAttribute]
    public:
    unsigned char msgAddGEN2DataRead(
    	List<unsigned char>^% msg,
    	unsigned short timeout,
    	Gen2..::.Bank bank,
    	unsigned int wordAddress,
    	unsigned char length,
    	Gen2..::.SecureTagType secureTagType
    )

Parameters

msg ( List <(Of <( Byte >)>) %)
  The embedded command bytes

timeout (UInt16)
  The operation timeout

bank (Gen2..::.Bank)
  The memory bank to read

wordAddress (UInt32)
  Read starting address

length (Byte)
  The length of data to read

secureTagType (Gen2..::.SecureTagType)
  Enum SecureTagType

Return Value
the length of the assembled embedded command

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)